/******************************************************************************
  Copyright (c)  2007 by Turku PET Centre

  dftio.h - See dftio.c

  Date:
  2007-02-10 Vesa Oikonen
    Separated from dft.h.
  2007-08-12 VO
    Added define for BACKUP_EXTENSION.  

******************************************************************************/
#ifndef _DFTIO_H
#define _DFTIO_H
/*****************************************************************************/
#include "studynr.h"
#include "ift.h"
/*****************************************************************************/
#include "dft.h"
/*****************************************************************************/
#ifndef DFT_VER
#define DFT_VER "DFT1"
#endif
#ifndef _DFT_COMMENT_LEN
#define _DFT_COMMENT_LEN 16384
#endif
/*****************************************************************************/
/* Missing data */
#ifndef NA
#define NA -99000.
#endif
/*****************************************************************************/
/* Backup file extension */
#ifndef BACKUP_EXTENSION
#define BACKUP_EXTENSION ".bak"
#endif 
/*****************************************************************************/
extern int dftRead(char *filename, DFT *data);
extern int dftWrite(DFT *data, char *filename);
extern void dftPrint(DFT *data);
extern int dftType(FILE *fp);
extern int dftWriteHTML(DFT *dft, char *fname, int orientation);
extern int dftWriteXHTML11_doctype(FILE *fp);
extern int dftWriteXHTML11_head(FILE *fp, char *author_name);
extern int dft_fill_hdr_from_IFT(DFT *dft, IFT *ift);
/*****************************************************************************/
#endif
